class Dalfox < Formula
  desc "XSS scanner and utility focused on automation"
  homepage "https://dalfox.hahwul.com"
  url "https://github.com/hahwul/dalfox/archive/refs/tags/v2.9.2.tar.gz"
  sha256 "3eef38f0767c6016cc986a446f5478bc55f7e168e9550b97f53f21729178d759"
  license "MIT"
  head "https://github.com/hahwul/dalfox.git", branch: "main"

  depends_on "go" => :build

  def install
    system "go", "build", *std_go_args(ldflags: "-s -w")

    generate_completions_from_executable(bin/"dalfox", "completion")
  end

  test do
    assert_match version.to_s, shell_output("#{bin}/dalfox version 2>&1")

    url = "http://testphp.vulnweb.com/listproducts.php?cat=123&artist=123&asdf=ff"
    output = shell_output("#{bin}/dalfox url #{url}")
    assert_match "[POC][G][GET][BUILTIN]", output
  end
end
